OGRE: Ogre::RTShader::FFPTexturing Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Ogre::RTShader::FFPTexturing Class Reference
Core » RTShader

Texturing sub render state implementation of the Fixed Function Pipeline. More...

`#include <OgreShaderFFPTexturing.h>`

Inheritance diagram for Ogre::RTShader::FFPTexturing:
[legend]

## Public Member Functions
| FFPTexturing ()
| Class default constructor. More...
virtual void | copyFrom (const SubRenderState &rhs)
virtual bool | createCpuSubPrograms (ProgramSet *programSet)
| Create sub programs that represents this sub render state as part of a program set. More...
SubRenderStateAccessorPtr | getAccessor ()
| Return the accessor object to this sub render state. More...
SubRenderStateAccessorPtr | getAccessor () const
| Return the accessor object to this sub render state. More...
virtual int | getExecutionOrder () const
virtual const String & | getType () const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual bool | preAddToRenderState (const RenderState *renderState, Pass *srcPass, Pass *dstPass)
virtual void | updateGpuProgramsParams (Renderable *rend, Pass *pass, const AutoParamDataSource *source, const LightList *pLightList)

## Static Public Member Functions
static void | AddTextureSampleWrapperInvocation (UniformParameterPtr textureSampler, UniformParameterPtr textureSamplerState, GpuConstantType samplerType, Function *function, int groupOrder, int &internalCounter)
static ParameterPtr | GetSamplerWrapperParam (UniformParameterPtr sampler, Function *function)

## Static Public Attributes
static String | Type

## Detailed Description

Texturing sub render state implementation of the Fixed Function Pipeline.

Implements texture coordinate processing:

See also
  http://msdn.microsoft.com/en-us/library/bb206247.aspx Implements texture blending operation:
  http://msdn.microsoft.com/en-us/library/bb206241.aspx Derives from SubRenderState class.

## Constructor & Destructor Documentation

## ◆ FFPTexturing()

Ogre::RTShader::FFPTexturing::FFPTexturing | ( |  | ) |

Class default constructor.

## Member Function Documentation

## ◆ AddTextureSampleWrapperInvocation()

static void Ogre::RTShader::FFPTexturing::AddTextureSampleWrapperInvocation | ( | UniformParameterPtr | textureSampler,
|  | UniformParameterPtr | textureSamplerState,
|  | GpuConstantType | samplerType,
|  | Function * | function,
|  | int | groupOrder,
|  | int & | internalCounter
| ) |  |
| static

## ◆ copyFrom()

virtual void Ogre::RTShader::FFPTexturing::copyFrom | ( | const SubRenderState & | rhs | ) |
| virtual

See also
  SubRenderState::copyFrom.

Implements Ogre::RTShader::SubRenderState.

Reimplemented in Ogre::RTShader::LayeredBlending.

## ◆ createCpuSubPrograms()

virtual bool Ogre::RTShader::SubRenderState::createCpuSubPrograms | ( | ProgramSet * | programSet | ) |
| virtualinherited

Create sub programs that represents this sub render state as part of a program set.

The given program set contains CPU programs that represents a vertex shader and pixel shader. One should use these program class API to create a representation of the sub state he wished to implement.

Parameters

  programSet | container class of CPU and GPU programs that this sub state will affect on.

Reimplemented in Ogre::RTShader::FFPTransform.

## ◆ getAccessor() [1/2]

SubRenderStateAccessorPtr Ogre::RTShader::SubRenderState::getAccessor | ( |  | ) |
| inherited

Return the accessor object to this sub render state.

See also
  SubRenderStateAccessor.

## ◆ getAccessor() [2/2]

SubRenderStateAccessorPtr Ogre::RTShader::SubRenderState::getAccessor | ( |  | ) | const
| inherited

Return the accessor object to this sub render state.

See also
  SubRenderStateAccessor.

## ◆ getExecutionOrder()

virtual int Ogre::RTShader::FFPTexturing::getExecutionOrder | ( |  | ) | const
| virtual

See also
  SubRenderState::getType.

Implements Ogre::RTShader::SubRenderState.

## ◆ GetSamplerWrapperParam()

static ParameterPtr Ogre::RTShader::FFPTexturing::GetSamplerWrapperParam | ( | UniformParameterPtr | sampler,
|  | Function * | function
| ) |  |
| static

## ◆ getType()

virtual const String& Ogre::RTShader::FFPTexturing::getType | ( |  | ) | const
| virtual

See also
  SubRenderState::getType.

Implements Ogre::RTShader::SubRenderState.

Reimplemented in Ogre::RTShader::LayeredBlending.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ preAddToRenderState()

virtual bool Ogre::RTShader::FFPTexturing::preAddToRenderState | ( | const RenderState * | renderState,
|  | Pass * | srcPass,
|  | Pass * | dstPass
| ) |  |
| virtual

See also
  SubRenderState::preAddToRenderState.

Reimplemented from Ogre::RTShader::SubRenderState.

## ◆ updateGpuProgramsParams()

virtual void Ogre::RTShader::FFPTexturing::updateGpuProgramsParams | ( | Renderable * | rend,
|  | Pass * | pass,
|  | const AutoParamDataSource * | source,
|  | const LightList * | pLightList
| ) |  |
| virtual

See also
  SubRenderState::updateGpuProgramsParams.

Reimplemented from Ogre::RTShader::SubRenderState.

## Member Data Documentation

## ◆ Type

String Ogre::RTShader::FFPTexturing::Type
| static

The documentation for this class was generated from the following file:

- OgreShaderFFPTexturing.h